Name:          valentina
Version:       0.7.49
Release:       1mamba
Summary:       A patternmaking program which allows designers to create and model patterns of clothing
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.com/smart-pattern/valentina
Source:        https://gitlab.com/smart-pattern/valentina.git/v%{version}/valentina-%{version}.tar.bz2
#Source:        https://bitbucket.org/dismine/valentina/get/v%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Valentina is a cross-platform patternmaking program which allows designers to create and model patterns of clothing.
This software allows pattern creation, using either standard sizing tables or an individual’s set of measurements. It blends new technologies with traditional methods to create a unique pattern making tool.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


#% debug_package

%prep
%setup -q

%build
qmake-qt5 Valentina.pro
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/tape
%{_bindir}/valentina
%{_datadir}/applications/tape.desktop
%{_datadir}/applications/valentina.desktop
%dir %{_datadir}/valentina
%{_datadir}/valentina/diagrams.rcc
%dir %{_datadir}/valentina/labels
%{_datadir}/valentina/labels/*
%dir %{_datadir}/valentina/tables
%{_datadir}/valentina/tables/*
%dir %{_datadir}/valentina/tables/templates
%{_datadir}/valentina/tables/templates/*
%dir %{_datadir}/valentina/translations
%{_datadir}/valentina/translations/measurements_*.qm
%{_datadir}/valentina/translations/valentina_*.qm
%{_datadir}/icons/hicolor/*/apps/tape.png
%{_datadir}/icons/hicolor/*/apps/valentina.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-valentina-i-measurements.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-valentina-pattern.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-valentina-s-measurements.png

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvpropertyexplorer.so.*
%{_libdir}/libqmuparser.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/libqmuparser.so
%{_libdir}/libvpropertyexplorer.so
%doc ChangeLog.txt README.txt

%changelog
* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 0.7.49-1mamba
- automatic version update by autodist

* Mon May 17 2021 Automatic Build System <autodist@mambasoft.it> 0.7.47-1mamba
- automatic version update by autodist

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 0.7.46-1mamba
- automatic version update by autodist

* Tue Mar 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.45-1mamba
- update to 0.7.45

* Fri Jul 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-1mamba
- package created using the webbuild interface
